# FoundationClasses
TKernel
TShort

# TShort_HSequenceOfShortReal Class Reference

`#include <TShort_HSequenceOfShortReal.hxx>`

Inheritance diagram for TShort_HSequenceOfShortReal:

[legend]

## Public Member Functions

| TShort_HSequenceOfShortReal ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Standard_ShortReal &anItem)
Standard_EXPORT void | Append (const Handle(TShort_HSequenceOfShortReal)&aSequence)
Standard_EXPORT void | Prepend (const Standard_ShortReal &anItem)
Standard_EXPORT void | Prepend (const Handle(TShort_HSequenceOfShortReal)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Standard_ShortReal &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TShort_HSequenceOfShortReal)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Standard_ShortReal &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TShort_HSequenceOfShortReal)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TShort_HSequenceOfShortReal | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Standard_ShortReal &anItem)
Standard_EXPORT const Standard_ShortReal & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Standard_ShortReal & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TShort_SequenceOfShortReal & | Sequence () const
TShort_SequenceOfShortReal & | ChangeSequence ()
Standard_EXPORT Handle_TShort_HSequenceOfShortReal | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TShort_SequenceOfShortReal | mySequence

## Constructor & Destructor Documentation

TShort_HSequenceOfShortReal::TShort_HSequenceOfShortReal | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TShort_HSequenceOfShortReal::Append | ( | const Handle(TShort_HSequenceOfShortReal)& | aSequence | ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::Append | ( | const Standard_ShortReal & | anItem | ) |

TShort_SequenceOfShortReal& TShort_HSequenceOfShortReal::ChangeSequence | ( |  | ) |

Standard_EXPORT Standard_ShortReal& TShort_HSequenceOfShortReal::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::Clear | ( |  | ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TShort_HSequenceOfShortReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TShort_HSequenceOfShortReal::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TShort_HSequenceOfShortReal)& | aSequence
| ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Standard_ShortReal & | anItem
| ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TShort_HSequenceOfShortReal)& | aSequence
| ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Standard_ShortReal & | anItem
| ) |

Standard_Boolean TShort_HSequenceOfShortReal::IsEmpty | ( |  | ) | const

Standard_Integer TShort_HSequenceOfShortReal::Length | ( |  | ) | const

Standard_EXPORT void TShort_HSequenceOfShortReal::Prepend | ( | const Handle(TShort_HSequenceOfShortReal)& | aSequence | ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::Prepend | ( | const Standard_ShortReal & | anItem | ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TShort_HSequenceOfShortReal::Reverse | ( |  | ) |

const TShort_SequenceOfShortReal& TShort_HSequenceOfShortReal::Sequence | ( |  | ) | const

Standard_EXPORT void TShort_HSequenceOfShortReal::SetValue | ( | const Standard_Integer | anIndex,
|  | const Standard_ShortReal & | anItem
| ) |

Standard_EXPORT Handle_TShort_HSequenceOfShortReal TShort_HSequenceOfShortReal::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TShort_HSequenceOfShortReal TShort_HSequenceOfShortReal::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Standard_ShortReal& TShort_HSequenceOfShortReal::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TShort_SequenceOfShortReal TShort_HSequenceOfShortReal::mySequence `[private]`

The documentation for this class was generated from the following file:

- TShort_HSequenceOfShortReal.hxx